#{extends 'borderNG.html' /}

<div class="container">

    <div class="breadcrumb" style="background-color: #d9534f !important;">&{'beranda.daftar_nontender'}</div>

    <ul id="tabs" class="nav nav-tabs faq-cat-tabs" role="tablist">
        <li>
            <a href="@{BerandaCtr.index()}">&{'beranda.tender'}</a>
        </li>
        <li class="active">
            <a href="@{BerandaCtr.nonLelang()}" data-toggle="tab">&{'beranda.nontender'}</a>
        </li>
    </ul>

    <div class="tab-pane active" id="etendering">
        <div class="content">
        #{alert /}
        #{form @BerandaCtr.nonLelang() ,name:'form'}
            <div class="form-group row">
                <label class="col-lg-2 col-form-label">Nomor Surat Tugas </label>
                <div class="col-lg-10">
                    <select  name= "skId" onchange="document.form.submit();" class="form-control">
                        #{if suratTugas}
                            <option value="">-- &{'beranda.pilih_surat'} --</option>
                            #{list items:skauditorList, as:'sk'}
                                <option value="${sk.skauditor.skid}" #{if suratTugas.skid == sk.skauditor.skid} selected#{/if}>${sk.skauditor.skno}</option>

                            #{/list}
                        #{/if}
                        #{else}
                            <option value="" selected>-- &{'beranda.pilih_surat'} --</option>
                            #{list items:skauditorList, as:'sk'}
                                <option value="${sk.skauditor.skid}">${sk.skauditor.skno}</option>
                            #{/list}
                        #{/else}
                    </select>

                </div>
            </div>

            <div class="form-group row">
                <label class="col-lg-2 col-form-label">Masa Berlaku <span class="warning">*</span></label>
                <div class="col-lg-10">
                <p class="form-control-static">
                    #{if suratTugas}${(suratTugas.skmulai).formatDate()} s.d. ${(suratTugas.skakhir).formatDate()}#{/if}
                    #{if kadaluarsa==true}
                        <div class="warning">Maaf Masa Berlaku Surat Tugas Anda sudah berakhir</div>
                    #{/if}
                    </p>
                </div>
            </div>
        #{/form}

            <table id="tblpaket" class="table table-sm">
                <thead>
                <tr>
                    <th class="titleTop" width="5%">&{'beranda.kode_paket'}</th>
                    <th class="titleTop" width="20%">&{'beranda.nama_paket'}</th>
                    <th class="titleTop" width="10%">&{'beranda.pagu'}</th>
                    <th class="titleTop" width="10%">&{'beranda.satuan_kerja'}</th>
                    <th class="titleTop" width="10%">&{'beranda.tahap'}</th>
                    <th class="titleTop" width="10%">&{'beranda.penawaran'}</th>
                    <!-- <th class="titleTop" width="10%">Pemenang</th> -->
                </tr>
                </thead>
            </table>
        </div>
    </div>
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var viewTahap  = #{jsRoute @nonlelang.JadwalPlCtr.tahap(':id') /};
    var viewLelang = #{jsRoute @nonlelang.PengadaanLCtr.view(':id') /};
    var table = $("#tblpaket").DataTable({
        ajax: "@{DataTableCtr.rekap_auditor_nonlelang(skId,kadaluarsa)}",
        columns: [{render: function(data, type, row) {
            var id = row[0];

            var version = getLabelSpseVersion(row[5]);
            var flag = version.flag;
            var highlight = version.highlight;

            var link = "";
            var paket = row[1];
            row[0] = '<a  href="'+viewLelang.url({id:id})+'" >'+id+'</a>';
            row[1] = paket +' <span class="'+highlight+'">'+flag+'</span>'
            if(row[7] != '') {
                    row[1] += '&nbsp;<span class="badge  badge-primary"> ' + row[7] + '</span>';
                } else if(row[8] != '1') {
                    row[1] += '&nbsp;<span class="badge  badge-warning">Paket Ulang</span>'
                }
            row[4] = '<a target="_blank" href="'+viewTahap.url({id:id})+'" >'+row[4]+'</a>'
            return row[0];
        }},null, null, null, {searchable:false}, {orderable:false}
        ]
    });
    $('#tblpaket_filter input').unbind();
    $('#tblpaket_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}